package com.appiancorp.core.expr.portable;

import java.io.Serializable;

import com.appiancorp.suiteapi.common.DeepCloneable;
import com.google.common.annotations.GwtCompatible;

/**
 * Type
 *
 * Emulation does nothing, serving only to act as placeholder for TypeConverterResolver.
 *
 * @param <T> the expected backend equivalent class of the value, such as
 *  java.lang.Integer for Type.INTEGER.  It is INVALID to store anything
 *  but an instanceof this class in the type's value.
 */
@SuppressWarnings("unchecked")
@GwtCompatible
public final class Type<T> implements Serializable, DeepCloneable {

  @Override
  public Object clone() {
    return this;
  }

  public static <T> Type<T> getType(String qualifiedTypeName) {
    return null;
  }

  public String getQNameAsString() {
    return null;
  }
}
