package com.appiancorp.suiteapi.type;

public class DatatypeProperties implements com.appiancorp.type.DataTypeProperties, java.io.Serializable {

  private Long id;
  private String name;
  private String namespace;
  private String nameWithinNamespace;
  private String description;
  private Long base;
  private Long foundation;
  private Long typeof;
  private Long list;
  private int flags;

  public DatatypeProperties() {
  }

  public Long getId() {
    return id;
  }
  public void setId(Long id) {
    this.id = id;
  }
  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }
  public String getNamespace() {
    return namespace;
  }
  public void setNamespace(String namespace) {
    this.namespace = namespace;
  }
  public String getNameWithinNamespace() {
    return nameWithinNamespace;
  }
  public void setNameWithinNamespace(String nameWithinNamespace) {
    this.nameWithinNamespace = nameWithinNamespace;
  }
  public javax.xml.namespace.QName getQualifiedName() {
    if (nameWithinNamespace == null) {
      return null;
    } else {
      return new javax.xml.namespace.QName(namespace, nameWithinNamespace);
    }
  }
  public void setQualifiedName(javax.xml.namespace.QName qualifiedName) {
    if (qualifiedName == null) {
      this.namespace = null;
      this.nameWithinNamespace = null;
    } else {
      this.namespace = qualifiedName.getNamespaceURI();
      this.nameWithinNamespace = qualifiedName.getLocalPart();
    }
  }
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }
  public Long getBase() {
    return base;
  }
  public void setBase(Long base) {
    this.base = base;
  }
  public Long getFoundation() {
    return foundation;
  }
  public void setFoundation(Long foundation) {
    this.foundation = foundation;
  }
  public Long getTypeof() {
    return typeof;
  }
  public void setTypeof(Long typeOf) {
    this.typeof = typeOf;
  }
  public Long getList() {
    return list;
  }
  public void setList(Long list) {
    this.list = list;
  }
  public int getFlags() {
    return flags;
  }
  public void setFlags(int flags) {
    this.flags = flags;
  }
  public boolean hasFlag(int flag) {
    return (flag & flags) == flag;
  }
  public void addFlag(int flag) {
    flags |= flag;
  }
  public void removeFlag(int flag) {
    flags &= ~flag;
  }
  public boolean isListType() {
    return com.appiancorp.type.AppianTypeLong.LIST.equals(getFoundation());
  }
  public boolean isRecordType() {
    return com.appiancorp.type.AppianTypeLong.RECORD.equals(getFoundation());
  }
  public boolean isHidden() {
    return hasFlag(com.appiancorp.type.DataTypeProperties.FLAG_HIDDEN);
  }
  public boolean isUnionType() {
    return com.appiancorp.type.AppianTypeLong.UNION.equals(getFoundation());
  }
  public boolean isSystemType() {
    return hasFlag(Datatype.FLAG_SYSTEM);
  }
  public String getExternalTypeId() {
    return "";
  }
  public boolean isFoundationType() {
    return id != null && id.equals(getFoundation());
  }

}