var chartDefinition = {
  chart: {
    renderTo: 'chart_content',
    type: 'bar'
  },
  colors: [
         '#619ED6',
         '#6BA547',
         '#F7D027',
         '#E48F1B',
         '#B77EA3',
         '#E64345',
         '#60CEED',
         '#9CF168',
         '#F7EA4A',
         '#FBC543',
         '#FFC9ED',
         '#E6696E'
         ],
  title: {
    text: ''
  },
  xAxis: {
    categories: [],
    title: {
      text: '',
      margin: 10,
      style: {
        color: '#666',
        fontFamily: 'sans-serif'
      }
    },
    labels: {
        style: {
          color: '#666',
          fontFamily: 'sans-serif'
        }
    },
    lineColor: '#eee',
    tickWidth: 0
  },
  yAxis: {
    allowDecimals: false,
    title: {
        text: '',
        margin: 10,
        style: {
          color: '#666',
          fontFamily: 'sans-serif'
        }
    },
    labels: {
        style: {
          color: '#666',
          fontFamily: 'sans-serif'
        }
    },
    gridLineColor: '#eee'
  },
  legend: {
    enabled: true,
    backgroundColor: '#FFFFFF',
    reversed: true,
    borderWidth: 0,
    maxHeight:100,
    itemMarginBottom: 4,
    itemStyle: {
      color: '#666',
      fontFamily: 'sans-serif'
    },
    itemHoverStyle: {
      color: '#666'
    }
  },
  credits : {
    enabled : false
  },
  tooltip: {
    enabled: true,
    formatter: function() {
        return '<strong>'+ this.series.name +':</strong> '+ AppianUtils.formatNumber(this.y);
    }
  },
  exporting: {
    enabled: false
  },
  plotOptions: {
    series: {
      stacking: null,
      animation: false,
      point: {
        events: {
          click: function() {
            AppianUtils.onClickListener(this.options.linkId);
          }
        }
      }
    },
    bar: {
      shadow: false,
      borderWidth: 1,
      events: {
        click: function() { return false; },
        legendItemClick: function() { return false; }
      },
      dataLabels: {
        enabled: false,
        color: '#222',
        formatter: function() {
          if (this.y == null) { //HC Bug: if the return value is null, this function gets called twice
            return null;
          } else {
            return AppianUtils.formatNumber(this.y); //simple internationalization
          }
        },
        style: {
          fontFamily: 'sans-serif',
          fontSize: '10px',
          fontWeight: 'bold'
        }
      },
    }
  },
  series: [/*
{
name: 'Software (Perpetual)',
data: [14, 12, 7]
}, {
name: 'Software (Cloud)',
data: [11, 16, 10]
}, {
name: 'Professional Services',
data: [15, 9, 6]
}, {
name: 'Maintenance',
data: [19, 8, 0]
}*/
  ]
}; 