var chartDefinition = {
  chart: {
    renderTo: 'chart_content',
    type: 'column'
  },
  colors: [
         '#619ED6',
         '#6BA547',
         '#F7D027',
         '#E48F1B',
         '#B77EA3',
         '#E64345',
         '#60CEED',
         '#9CF168',
         '#F7EA4A',
         '#FBC543',
         '#FFC9ED',
         '#E6696E'
         ],
  title: {
    text: ''
  },
  xAxis: {
    categories: [],
    allowDecimals: false,
    title: {
      text: '',
      margin: 10,
      style: {
        color: '#666',
        fontFamily: 'sans-serif'
      }              
    },
    labels: {
        style: {
          color: '#666',
          fontFamily: 'sans-serif'
        }                
    },
    lineColor: '#eee',
    tickWidth: 0         
  },
  yAxis: {
    endOnTick: true,
    minPadding: 0,
    maxPadding: 0,
    allowDecimals: false,
    title: {
        text: '',
        margin: 10,
        style: {
          color: '#666',
          fontFamily: 'sans-serif'
        }              
    },
    labels: {
        style: {
          color: '#666',
          fontFamily: 'sans-serif'
        }                
    },   
    gridLineColor: '#eee'    
  },
  legend: {
    enabled: true,
    reversed: false,
    backgroundColor: '#FFFFFF',
    borderWidth: 0,
    itemMarginBottom: 4,         
    itemStyle: {
      color: '#666',
      fontFamily: 'sans-serif'
    },
    itemHoverStyle: {
      color: '#666',
      fontFamily: 'sans-serif'
    }
  },
  credits : {
    enabled : false
  },     
  tooltip: {
    enabled: true,
    formatter: function() {
        return '<strong>'+ this.series.name +':</strong> '+ AppianUtils.formatNumber(this.y);
    }
  },
  exporting: {
    enabled: false
  },
  plotOptions: {
    series: {
      stacking: '',
      animation: false,
      point: {
        events: {
          click: function() {
            AppianUtils.onClickListener(this.options.linkId);
          }
        }
      }
    },
    column: {
      shadow: false,
      borderWidth: 1,
      events: {
        click: function() { return false; },
        legendItemClick: function() { return false; }
      },
      dataLabels: {
        enabled: false,
        color: '#222',               
        style: {
          fontFamily: 'sans-serif',
          fontSize: '10px',
          fontWeight: 'bold'
        },
        formatter: function() {
          var lbl = AppianUtils.formatNumber(this.y);
          if(lbl.valueOf() == "null"){
            return "";
          } else {
            return '<strong>'+ AppianUtils.formatNumber(this.y) +'</strong> ';
          }
        }
      },
    }          
  },
  series: []
};