var chartDefinition = {
  chart : {
    renderTo : 'chart_content',
    type : 'line',
    marginTop: 15
  },
  colors : [ '#619ED6', '#6BA547', '#F7D027', '#E48F1B', '#B77EA3', '#E64345', '#60CEED', '#9CF168',
      '#F7EA4A', '#FBC543', '#FFC9ED', '#E6696E' ],
  title : {
    text : ''
  },
  xAxis : {
    categories : [],
    title : {
      text : '',
      margin : 10,
      style : {
        color : '#666',
        fontFamily : 'sans-serif'
      }
    },
    labels : {
      style : {
        color : '#666',
        fontFamily : 'sans-serif'
      }
    },
    lineColor : '#eee',
    tickWidth : 0
  },
  yAxis : {
    allowDecimals : false,
    endOnTick : true,
    maxPadding : .05,
    title : {
      text : '',
      margin : 10,
      style : {
        color : '#666',
        fontFamily : 'sans-serif'
      }
    },
    labels : {
      style : {
        color : '#666',
        fontFamily : 'sans-serif'
      }
    },
    gridLineColor : '#eee'
  },
  legend : {
    enabled : true,
    backgroundColor : '#FFFFFF',
    borderWidth : 0,
    itemMarginBottom : 4,
    itemStyle : {
      color : '#666',
      fontFamily : 'sans-serif'
    }
  },
  credits : {
    enabled : false
  },
  tooltip : {
    enabled : true,
    formatter : function() {
      return '<strong>' + this.series.name + ':</strong> ' + AppianUtils.formatNumber(this.y);
    }
  },
  exporting : {
    enabled : false
  },
  plotOptions : {
    series : {
      animation : false,
      point: {
        events: {
          click: function() {
            AppianUtils.onClickListener(this.options.linkId);
          }
        }
      },
      enableMouseTracking : true,
      marker : {
        enabled : true,
        fillColor: '#fff',
        lineWidth: 2,
        lineColor: null, 
        radius: 2
      }
    },
    line : {
      shadow : false,
      borderWidth : 1,
      events : {
        click : function() {
          return false;
        },
        legendItemClick : function() {
          return false;
        }
      },
      dataLabels : {
        enabled : false,
        formatter: function() {
          if (this.y === 0 || this.y == null) { //HC Bug: if the return value is null, this function gets called twice
            return null;
          } else {
            return AppianUtils.formatNumber(this.y); //simple internationalization
          }
        }
      },
      style: {
        fontFamily: 'sans-serif',
        fontSize: '10px',
        fontWeight: 'bold'
      }  
    }
  },
  series: [

// series : [ /*
// {
// "data" : [ 14, 12, 7 ],
// "name" : "Software (Perpetual)"
// }, {
// "data" : [ 11, 16, 10 ],
// "name" : "Software (Cloud)"
// }, {
// "data" : [ 15, 9, 6 ],
// "name" : "Professional Services"
// }, {
// "data" : [ 19, 8, 0 ],
// "name" : "Maintenance"
// } */
// ]
  ]
};
