var chartDefinition = {
  chart: {
    renderTo: 'chart_content',
    plotBackgroundColor: null,
    plotBorderWidth: null,
    plotShadow: false
  },
  colors: [
    '#619ED6',
    '#6BA547',
    '#F7D027',
    '#E48F1B',
    '#B77EA3',
    '#E64345',
    '#60CEED',
    '#9CF168',
    '#F7EA4A',
    '#FBC543',
    '#FFC9ED',
    '#E6696E'],
  title: {
    text: ''
  },
  credits: {
    enabled: false
  },
  tooltip: { 
    enabled: false,
    formatter: function () { return '<strong>' + this.point.name + ':</strong> ' + AppianUtils.formatNumber(this.point.rawValue); },
  },
  exporting: {
    enabled: false
  },
  plotOptions: {
    series : {
      animation : false,
      point: {
        events: {
          click: function() {
            AppianUtils.onClickListener(this.options.linkId);
          }
        }
      }
    },
    pie: {
      allowPointSelect: false,
      cursor: 'pointer',
      borderWidth: 1,
      shadow: false,
      showInLegend: true, /* DMON: this doesn't make sense*/
      point: {
        events: {
          legendItemClick: function() { return false; }
        }
      },
      dataLabels: {
        enabled: true,
        formatter: function () { return '<strong>' + this.point.name + '</strong>'; },
        crop: false,
        style: {
          color: '#666',
          fontFamily: 'sans-serif',
          width: '80px',
          fontSize: '13px' /*DMON: updated, 12px is default*/
        }
      }
    }
  },
  legend: {
    enabled: false,
    backgroundColor: '#FFFFFF',
    borderWidth: 0,
    itemMarginBottom: 4,
    itemStyle: {
      color: '#666',
      fontFamily: 'sans-serif'
    }
  },
  series: [{
    type: 'pie',
    name: '',
    data: [
    /*
      ['Existing Client', 12],
      ['Inbound Call', 4],
      ['Tradeshow', 8],
      ['Web Site', 6],
      ['Cold Call', 2],
      ['Referral', 7]
    */
    ]
  }]
};
